Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.datax
Class ConnectionProperty

    java.lang.Object
      |
      +--cnrg.itx.datax.ConnectionProperty

public class ConnectionProperty
extends java.lang.Object

Class to implement the properties of a connection. This will contain the properties of all the channels that make up the connection.

Field Summary
`private ChannelProperty` | `inputChannelProperties` The channel properties for this connection.
`private ChannelProperty` | `outputChannelProperties`

Constructor Summary
`ConnectionProperty()` Default constructor for the ConnectionProperties object.

Method Summary
`void` | `addChannelProperty(ChannelProperty channelProperty)` Method to add a channel property.
`ConnectionProperty` | `getOptimalConnectionProperties(ConnectionProperty peerConnectionProperties)` Method to find the optimal properties for two connection properties.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### inputChannelProperties

    private ChannelProperty inputChannelProperties

  The channel properties for this connection.

### outputChannelProperties

    private ChannelProperty outputChannelProperties

Constructor Detail

### ConnectionProperty

    public ConnectionProperty()

  Default constructor for the ConnectionProperties object.

Method Detail

### addChannelProperty

    public void addChannelProperty(ChannelProperty channelProperty)

  Method to add a channel property.
  Parameters:
    `channelProperty` - the property of a channel to add

### getOptimalConnectionProperties

    public ConnectionProperty getOptimalConnectionProperties(ConnectionProperty peerConnectionProperties)

  Method to find the optimal properties for two connection properties.
  Parameters:
    `peer` - the peer's connection properties
  Returns:
    ConnectionProperties the optimal connection properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD